#### D.4.35.1 genSymId

Procedure from library `symodstd.lib` (see symodstd_lib).

Usage:
  genSymId(I,sigma); I ideal, sigma intvec

Assume:
  size(sigma) = nvars(basering =: n

Return:
  ideal J such that sigma(J) = J and J includes I

Note:
  sigma is a permutation of the variables of the basering, i.e.
  sigma: var(i) ----> var(sigma[i]), 1 <= i <= n.

Example:

    LIB "symodstd.lib";
    ring R = 0,(u,v,w,x,y),dp;
    intvec pi = 2,3,4,5,1;
    ideal I = u2v + x3y - w2;
    genSymId(I,pi);
    ==> _[1]=x3y+u2v-w2
    ==> _[2]=uy3+v2w-x2
    ==> _[3]=u3v+w2x-y2
    ==> _[4]=v3w+x2y-u2
    ==> _[5]=w3x+uy2-v2

User manual for Singular version 4.4.1, 2025, generated by texi2html.